# Get source files inventory at project level

Returns an inventory list of the source files associated with each library in a project. Supports filtering by library UUID using the search parameter. Example: ?search=libraryUuid==b366b0ef-b211-4c37-a47c-0077e4de709f

Endpoint: GET /api/v3.0/projects/{projectUuid}/dependencies/sourceFiles/inventory
Version: 3.0
Security: bearer-key

## Query parameters:

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.name` (string)
    Example: "common.js"

  - `response.matchType` (string)
    Enum: "MANUAL", "AUTOMATIC"

  - `response.sha1` (string)
    Enum: "MANUAL", "AUTOMATIC"

  - `response.localPath` (string)
    Example: "C:\\Users\\"

  - `response.lastModified` (string)

  - `response.library` (object)

  - `response.library.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.library.name` (string)
    Example: " actionview-v0.0.1"

  - `response.library.licenses` (array)

  - `response.library.licenses.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.library.licenses.name` (string, required)
    Example: "MIT"

  - `response.library.licenses.spdxName` (string)
    Example: "Glide"

  - `response.library.licenses.type` (string)
    Example: "OPEN_SOURCE"

  - `response.library.licenses.suspected` (boolean)

  - `response.library.licenses.osiApproved` (boolean)

  - `response.library.licenses.profile` (object)

  - `response.library.licenses.profile.uuid` (string)

  - `response.library.licenses.profile.name` (string)

  - `response.library.licenses.profile.links` (array)
    Example: ["http://www.opensource.org/licenses/AFL-3.0"]

  - `response.library.licenses.profile.copyrightRiskScore` (object)

  - `response.library.licenses.profile.copyrightRiskScore.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `response.library.licenses.profile.copyrightRiskScore.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `response.library.licenses.profile.copyrightRiskScore.riskScore` (integer)
    Example: 39

  - `response.library.licenses.profile.patentAndRoyaltyRisk` (object)

  - `response.library.licenses.profile.royaltyFree` (string)
    Example: "Conditional"

  - `response.library.licenses.profile.copyleft` (object)

  - `response.library.licenses.profile.copyleft.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `response.library.licenses.profile.copyleft.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `response.library.licenses.profile.copyleft.description` (string)
    Example: "Not a CopyLeft license."

  - `response.library.licenses.profile.copyleft.displayText` (string)
    Example: "No"

  - `response.library.licenses.profile.linking` (object)

  - `response.library.licenses.profile.requiredNotices` (array)
    Example: ["Must identify specific modifications"]

  - `response.library.description` (string)

  - `response.comment` (string)

  - `response.contextType` (string)
    Enum: "SYSTEM", "GLOBAL_ACCOUNT", "DOMAIN", "PRODUCT", "PROJECT", "SCAN", "UNSUPPORTED_TYPE"

  - `response.project` (object)
    Project information

  - `response.project.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.project.name` (string)
    Example: "My Project"

  - `response.project.path` (string)
    Example: "My Application"

  - `response.project.applicationName` (string)
    Example: "My Application"

  - `response.project.applicationUuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


